import java.math.BigInteger;
import java.util.Map;

public class Constant extends ExpressionTree {
  public Constant (BigInteger value)
  {this.value = value;}
  
	public BigInteger evaluate(Map variables)
	{return value;}
	
	public String postfix()
	{return ""+value+" ";}
	
	public String toString()
	{return ""+value;}
	
	private BigInteger value;
}

