import java.math.BigInteger;
import java.util.Map;

public class Equals extends BinaryOperator {
  public Equals (ExpressionTree left, ExpressionTree right) {
  	super(left,right);
  	if ( !(left instanceof Variable))
  		throw new IllegalArgumentException("parse: Left side of = not a variable (" + left +")");
  }
  
	public BigInteger evaluate(Map variables) {
		BigInteger temp = getRight().evaluate(variables);
		variables.put(getLeft().toString(), temp);
		return temp;
	}
		
	public String getOpSymbol()
	{return "+";}
}

