import java.math.BigInteger;
import java.util.Map;

public class Multiply extends BinaryOperator {
  public Multiply (ExpressionTree left, ExpressionTree right)
  {super(left,right);}
  
	public BigInteger evaluate(Map variables)
	{return getLeft().evaluate(variables).multiply(getRight().evaluate(variables));}
	
	public String getOpSymbol()
	{return "*";}
}
