import java.math.BigInteger;
import java.util.Map;

public class Subtract extends BinaryOperator {
  public Subtract (ExpressionTree left, ExpressionTree right)
  {super(left,right);}
  
	public BigInteger evaluate(Map variables)
	{return getLeft().evaluate(variables).subtract(getRight().evaluate(variables));}
	
	public String getOpSymbol()
	{return "-";}
}