import java.math.BigInteger;
import java.util.Map;

public class Remainder extends BinaryOperator {
  public Remainder (ExpressionTree left, ExpressionTree right)
  {super(left,right);}
  
	public BigInteger evaluate(Map variables)
	{return getLeft().evaluate(variables).remainder(getRight().evaluate(variables));}
	
	public String getOpSymbol()
	{return "%";}
}